import { getStats } from "../../common/ajax/Messages";

import { Credentials } from "../../common/global/Credentials";
import log from "loglevel";

export async function stats(): Promise<void> {
  const stats = await getStats(Credentials.authToken);
  $("#totalMessages").text(stats.totalMessages);
  $("#totalUsers").text(stats.totalUsers);
  $("#totalOnlineUsers").text(stats.totalOnlineUsers);
  $("#numMessagesToday").text(stats.numMessagesToday);
  log.debug(stats);
}
